Trainline: Journeys
Journeys from Trainline as JSON. 1 credit per successful call.
GET /v1/trainline/journeys
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin | string | Required | Any |
destination | string | Required | Any |
date | string | Required | Any |
time | string | Optional | Any |
journey_type | string | Optional | single, return, open_return |
return_date | string | Optional | Any |
return_time | string | Optional | Any |
adults | integer | Optional | Any |
children | integer | Optional | Any |
child_age | integer | Optional | Any |
transport_mode | string | Optional | all, train, coach |
currency | string | Optional | GBP, EUR |
Example request
curl "https://api.perceptlayer.com/v1/trainline/journeys" \
-H "X-API-Key: $API_KEY"